Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.addressing.v200403
Class ServiceNameType

    java.lang.Object
      org.apache.cxf.ws.addressing.v200403.ServiceNameType

    public class ServiceNameType

extends Object

Java class for ServiceNameType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ServiceNameType">
       <simpleContent>
         <extension base="<http://www.w3.org/2001/XMLSchema>QName">
           <attribute name="PortName" type="{http://www.w3.org/2001/XMLSchema}NCName" />
           <anyAttribute processContents='lax' namespace='##other'/>
         </extension>
       </simpleContent>
     </complexType>

Field Summary
`protected String` | `portName`
`protected QName` | `value`

Constructor Summary
`ServiceNameType()`

Method Summary
`Map<QName,String>` | `getOtherAttributes()` Gets a map that contains attributes that aren't bound to any typed property on this class.
`String` | `getPortName()` Gets the value of the portName property.
`QName` | `getValue()` Gets the value of the value property.
`void` | `setPortName(String value)` Sets the value of the portName property.
`void` | `setValue(QName value)` Sets the value of the value property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    protected QName value

### portName

    protected String portName

Constructor Detail

### ServiceNameType

    public ServiceNameType()

Method Detail

### getValue

    public QName getValue()

  Gets the value of the value property.

  Returns:
    possible object is `QName`

### setValue

    public void setValue(QName value)

  Sets the value of the value property.

  Parameters:
    `value` - allowed object is `QName`

### getPortName

    public String getPortName()

  Gets the value of the portName property.

  Returns:
    possible object is `String`

### setPortName

    public void setPortName(String value)

  Sets the value of the portName property.

  Parameters:
    `value` - allowed object is `String`

### getOtherAttributes

    public Map<QName,String> getOtherAttributes()

  Gets a map that contains attributes that aren't bound to any typed property on this class.

  the map is keyed by the name of the attribute and the value is the string value of the attribute. the map returned by this method is live, and you can add new attribute by updating the map directly. Because of this design, there's no setter.

  Returns:
    always non-null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF